> For the complete documentation index, see [llms.txt](https://docs.8pay.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.8pay.network/api/variable-recurring/cancellations.md).

# Cancellations

Customers cannot directly cancel a subscription but they must request the cancellation to the vendor. When the cancellation request is received by the vendor, he will perform one last billing to account for the remaining unpaid period and the subscription will be immediately cancelled. A subscription can be terminated (forcefully cancelled) anytime by plan’s admin or operational accounts, using the web app or the 8Pay Javascript library.

## Get cancellations of a plan

<mark style="color:blue;">`GET`</mark> `https://api.8pay.network/v1/:chain/variable-recurring/plans/:planId/cancellations`

#### Path Parameters

| Name  | Type   | Description                                 |
| ----- | ------ | ------------------------------------------- |
| id    | string | ID of the plan                              |
| chain | string | [chain identifier](/api/overview.md#chains) |

#### Query Parameters

| Name        | Type   | Description                                           |
| ----------- | ------ | ----------------------------------------------------- |
| triggeredBy | string | filter by the user who triggered the billing          |
| from        | number | filter by `timestamp` (default 0)                     |
| to          | number | filter by `timestamp` (default current timestamp)     |
| sort        | string | `asc` or `desc` based on `timestamp` (default `desc`) |

#### Headers

| Name          | Type   | Description       |
| ------------- | ------ | ----------------- |
| Authorization | string | Bearer \<api-key> |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": [
        {
            "subscriptionId": "0xe63ba761797e289076f80a7c0916a31740684806aaf507da85f81ee785fec6ba",
            "timestamp": 1571686335,
            "forced": false,
            "triggeredBy": "0xe42fD8a58A82fDF624A8a94dA03a0e44F9934Dff",
            "transactionHash": "0x9ed2fdc68aa1253d206b954ea065a38a6332bd1732d0992e9bcb7056e720e381",
            "transactionStatus": "confirmed"
        }
    ],
    "limit": 100,
    "offset": 0,
    "total": 1
}
```

{% endtab %}
{% endtabs %}

## Get cancellation for a subscription

<mark style="color:blue;">`GET`</mark> `https://api.8pay.network/v1/:chain/variable-recurring/subscriptions/:subscriptionId/cancellation`

#### Path Parameters

| Name  | Type   | Description                                 |
| ----- | ------ | ------------------------------------------- |
| id    | string | ID of the subscription                      |
| chain | string | [chain identifier](/api/overview.md#chains) |

#### Headers

| Name          | Type   | Description       |
| ------------- | ------ | ----------------- |
| Authorization | string | Bearer \<api-key> |

{% tabs %}
{% tab title="200 " %}

```
{
    "subscriptionId": "0xe63ba761797e289076f80a7c0916a31740684806aaf507da85f81ee785fec6ba",
    "timestamp": 1571646052,
    "forced": false,
    "triggeredBy": "0xe42fD8a58A82fDF624A8a94dA03a0e44F9934Dff",
    "transactionHash": "0xbb97a142aed61a7027b0a030f3c0ab7e1b39bb776201752829d96d562ed49782",
    "transactionStatus": "confirmed"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.8pay.network/api/variable-recurring/cancellations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
